### Function

# FwupdPlugin DeviceRetryFunc

#### Declaration

    gboolean
    (* FuDeviceRetryFunc) (
      FuDevice* self,
      gpointer user_data,
      GError** error
    )

#### Description [src]

The device retry iteration callback.

#### Parameters

`self`

  Type: `FuDevice`

  A `FuDevice`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.